﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small> اعضا</small>
        مدیریت
    </h1>
    <ol class="breadcrumb">
        <li><a href="#/"><i class="fa fa-dashboard"></i> خانه</a></li>
        <li class="active"> سوال ها</li>
    </ol>
</section>

<section class="row">
    <div class="col-xs-12">
        <div class="col-xs-12">
            <div class="box box-warning">
                <div class="box-header">
                    <h3 class="box-title vazir-font">فیلتر کردن سوالات</h3>

                </div><!-- /.box-header -->
                <div class="box-body" dir="rtl">
                    <div class="col-xs-2">
                        
                    </div>
                    <div class="col-xs-2">
                        <button type="button" class="btn btn-success btn-sm dropdown-toggle pull-right" data-toggle="dropdown" aria-expanded="false" style="border-bottom-right-radius: 3px; border-top-right-radius: 3px;">
                            {{dropDwonTitle}}
                            <span class="fa fa-caret-down"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li><a ng-click="changeTypeFilter(null)" class="link persian-rtl text-right">همه ی سوال ها</a></li>
                            <li><a ng-click="changeTypeFilter(1)" class="link persian-rtl text-right">سوال های تایید شده</a></li>
                            <li><a ng-click="changeTypeFilter(0)" class="link persian-rtl text-right">سوال های در انتظار تایید</a></li>
                            <li><a ng-click="changeTypeFilter(-1)" class="link persian-rtl text-right">سوال ها تایید نشده</a></li>
                        </ul>
                    </div>
                    <div class="col-xs-4">
                        <div>
                            <ui-select ng-model="Position.selected" on-select="changePosition()" theme="bootstrap" sortable="true" close-on-select="true" required>
                                <ui-select-match allow-clear placeholder="منطقه">{{Position.selected.OrganizationName}}</ui-select-match>
                                <ui-select-choices repeat="edu in allPositions">
                                    <div compile="edu.OrganizationName | highlight: $select.search"></div>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>

                    <div class="col-xs-4 pull-right">
                        <input type="text" name="table_search" ng-model="pagingParams.searchValue"
                               ng-model-options="{debounce:500}" ng-change="search()" class="form-control input-sm pull-right"
                               placeholder="جستجو ...">
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
        <div class="col-xs-12">
            <div class="box box-danger">
                <div class="box-header">
                    <h3 class="box-title vazir-font">سوالات</h3>
                    
                    <!--<div class="box-tools">
                        <div class="input-group col-xs-9 col-md-4">
                            <div class="input-group-btn">
                                <button type="button" class="btn btn-success btn-sm dropdown-toggle pull-right" data-toggle="dropdown" aria-expanded="false" style="border-bottom-right-radius: 3px; border-top-right-radius: 3px;">
                                    {{dropDwonTitle}}
                                    <span class="fa fa-caret-down"></span>
                                </button>
                                <ul class="dropdown-menu pull-right">
                                    <li><a ng-click="changeTypeFilter(null)" class="link persian-rtl text-right">همه ی سوال ها</a></li>
                                    <li><a ng-click="changeTypeFilter(1)" class="link persian-rtl text-right">سوال های تایید شده</a></li>
                                    <li><a ng-click="changeTypeFilter(0)" class="link persian-rtl text-right">سوال های در انتظار تایید</a></li>
                                    <li><a ng-click="changeTypeFilter(-1)" class="link persian-rtl text-right">سوال ها تایید نشده</a></li>
                                </ul>
                            </div>
                            <input type="text" name="table_search" ng-model="pagingParams.searchValue"
                                   ng-model-options="{debounce:500}" ng-change="search()" class="form-control input-sm pull-right"
                                   placeholder="جستجو ...">
                            <div class="input-group-btn">
                                <button class="btn btn-sm btn-default left-radius-btn"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>-->
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <tbody>
                        <tr>
                            <th>عکس</th>
                            <th> نام کامل نویسنده</th>
                            <th>تاریخ ارسال</th>
                            <th>زیر شاخه انجمن</th>
                            <th>وضعیت</th>
                            <th>ایمیل</th>
                            <th style="width: 225px;"></th>
                        </tr>
                        <tr ng-repeat="u in question.all">
                            <td>
                                <img ng-src="{{u.FullPath || '../images/Avatar.jpg'}}" class="img-circle" alt="User Image" style="width: 38px;">
                            </td>
                            <td>{{u.FullName| pNumber}}</td>
                            <td>{{u.CreationDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}</td>
                            <td>{{u.SubjectName | pNumber | subString:20}}</td>
                            <td ng-switch="u.AdminAccepted">
                                <span class="label label-success" ng-switch-when="1">تایید شده</span>
                                <span class="label label-warning" ng-switch-when="0">در انتظار تایید</span>
                                <span class="label label-info" ng-switch-when="-2">لینک داده شده</span>
                                <span class="label label-danger" ng-switch-when="-1">رد شده</span>
                            </td>
                            <td>{{u.Email}}</td>
                            <td>
                                <div class="table-action-icons" ng-if="session.AdminPermissionLevel=='Base' || session.AdminPermission == adminType">
                                    <i class="fa fa-exchange text-purple link hvr-grow" ng-click="openExchangeModal(u)" title="انتقال سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i ng-if="u.AdminAccepted==-1 || u.AdminAccepted==0" class="fa fa-link text-olive link hvr-grow" ng-click="openQuestionModal(u)" title="لینک به سوال دیگر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i confirm="آیا مطمئن هستید که میخواهید این سوال را حذف کنید؟"
                                       class="fa fa-trash text-red link hvr-grow" ng-click="removeQuestion(u.ID , u.AuthorID)" title="حذف سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i class="fa fa-times link hvr-grow" ng-if="u.AdminAccepted==1 || u.AdminAccepted==0" style="color: #e67e22;"
                                       ng-click="openDiscardModal(u.ID , u.AuthorID)" title="رد کردن سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i class="fa fa-check text-green link hvr-grow"
                                       ng-if="u.AdminAccepted==-1 || u.AdminAccepted==0" ng-click="changeQuestionState(u,1)" title="تایید سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i class="fa fa-eye text-blue link hvr-grow" ng-click="openRoleModal(u)" title="متن و ویرایش سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <a ng-if="u.AdminAccepted==1" class="link" ng-href="../Forum/#/Question/{{u.ID}}"><i class="fa fa-angle-double-left text-teal link hvr-pulse" title="لینک سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i></a>
                                    <a ng-if="u.AdminAccepted==-2" class="link" ng-href="../Forum/#/Question/{{u.TargetQuestionID}}"><i class="fa fa-angle-double-left text-maroon link hvr-pulse" title="لینک سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i></a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
                <div class="box-footer clearfix text-center">
                    <auto-paging page="1"
                                 page-size="20"
                                 ul-class="pagination pagination-sm no-margin"
                                 action-name="getAllQuestions"
                                 data-params="pagingParams"
                                 ng-control="pagingController"
                                 items="question.all">
                    </auto-paging>
                </div>
            </div><!-- /.box -->
        </div>
    </div>
</section>

<script type="text/ng-template" id="myModalContent.html">
    <div class="modal-body vazir-font text-right persian-rtl" ng-init="editMode = false">
        <div>
            <h4 class="text-danger">
                تیتر سوال
                <i class="fa fa-pencil text-blue link hvr-grow" title="" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true" ng-click="editMode = !editMode" data-original-title="ویرایش سوال"></i>
            </h4>
        </div>
        <hr />
        <div ng-hide="editMode">
            {{Title}}
        </div>
        <div style="margin-top:25px" ng-show="editMode">
            <textarea rows="2" class="col-xs-12" ng-model="Title"></textarea>
        </div>
        <div style="margin-top:25px" >
            <h4 class="text-danger ">متن سوال</h4>
        </div>
        <hr />
        <div ng-hide="editMode">
            {{QuestionText}}
        </div>
        <div style="margin-top:25px" ng-show="editMode">
            <textarea rows="6" class="col-xs-12" ng-model="QuestionText"></textarea>
        </div>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
        <button  ng-show="editMode" class="btn btn-success pull-right" type="button" ng-click="editQuestion()">ویرایش</button>
    </div>
</script>

<script type="text/ng-template" id="QuestionModal.html">
    <div class="modal-header vazir-font text-right">
        <label class="modal-title text-danger" style="font-size:15px">انجمن سوال را انتخاب کنید</label>
    </div>
    <div class="modal-body vazir-font text-right persian-rtl">
        <div class="col-xs-12">
            <input type="text" name="table_search" ng-model="questionsPagingParams.searchValue"
                   ng-model-options="{debounce:500}" ng-change="search()" class="form-control input-sm pull-right"
                   placeholder="جستجو ...">
        </div>
        <div class="table-responsive mailbox-messages col-xs-12">
            <table class="table table-hover">
                <tbody>
                    <tr>
                        <th>نویسنده</th>
                        <th>عنوان سوال</th>
                        <th>متن سوال</th>
                        <th>انجمن</th>
                    </tr>
                    <tr class="link" ng-repeat="item in questions" ng-click="Link(item)">
                        <td>{{item.FullName| pNumber}}</td>
                        <td>{{item.Title| pNumber}}</td>
                        <td>{{item.QuestionText| pNumber}}</td>
                        <td>{{item.SubjectName | pNumber | subString:20}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="box-footer clearfix text-center">
            <auto-paging page="1"
                         page-size="10"
                         ul-class="pagination pagination-sm no-margin"
                         action-name="getAllQuestions"
                         data-params="questionsPagingParams"
                         ng-control="questionsQagingController"
                         items="questions">
            </auto-paging>
        </div>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>

<script type="text/ng-template" id="ExchangeModal.html">
    <div class="modal-header vazir-font text-right">
        <label class="modal-title text-danger" style="font-size:15px">انجمن سوال را انتخاب کنید</label>
    </div>
    <div class="modal-body vazir-font text-right persian-rtl">
        <div class="table-responsive mailbox-messages">
            <table class="table table-hover">
                <tbody>
                    <tr>
                        <th>شماره</th>
                        <th>نام انجمن</th>
                        <th>زیر مجموعه</th>
                        <th style="width : 25px"></th>
                    </tr>
                    <tr class="link" ng-repeat="u in subjects" ng-click="send(u)">
                        <td class="persian-rtl">
                            {{$index | pNumber}}
                        </td>
                        <td class="persian-rtl">
                            {{u.MainTitle | pNumber}}
                        </td>
                        <td class="persian-rtl">
                            {{u.Title | pNumber}}
                        </td>
                        <td>
                            <div class="table-action-icons">
                                <i class="fa fa-exchange text-purple link hvr-grow" ng-click="send(u)" title="انتقال سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>

<script type="text/ng-template" id="DiscardQuestionModal.html">
    <div class="modal-header vazir-font text-right">
        <label class="modal-title text-danger" style="font-size:15px">دلیل رد سوال را انتخاب کنید</label>
    </div>
    <div class="modal-body vazir-font text-right persian-rtl">
        <div class="table-responsive mailbox-messages">
            <table class="table table-hover">
                <tbody>
                    <tr>
                        <th>شماره</th>
                        <th>دلیل رد سوال</th>
                        <th style="width : 25px"></th>
                    </tr>
                    <tr class="link" ng-repeat="u in common" ng-click="send(u)">
                        <td class="persian-rtl">
                            {{$index | pNumber}}
                        </td>
                        <td class="persian-rtl">
                            {{u.Message | pNumber}}
                        </td>
                        <td>
                            <div class="table-action-icons">
                                <i class="fa fa-times text-yellow link hvr-grow" ng-click="send(u)" title="رد سوال" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
   
    <div class="modal-footer vazir-font">
        <button class="btn btn-warning pull-right" type="button" ng-click="send(null)">رد سوال بدون فیدبک</button>
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>

</script>




